Bug 1830370 - HAProxy Router connections are not cleaned up when closed
Summary: HAProxy Router connections are not cleaned up when closed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.0
Assignee: Ben Bennett
QA Contact: Siva Reddy
URL:
Whiteboard: aos-scalability-43
Depends On: 1819785
Blocks: 1830416
TreeView+ depends on / blocked
 
Reported: 2020-05-01 18:37 UTC by Dan Williams
Modified: 2020-07-13 17:34 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes Only
Doc Text:
Important: if this rebase also contains *enhancements* (or contains only enhancements), select the correct option from the Doc Type drop-down list. Rebase package(s) to version: OVS/OVN to 2.13 Highlights and important bug fixes: Fixed TCP connection cleanup when closed.
Clone Of: 1819785
: 1830416 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:34:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 152 0 None closed Bug 1830370: build: require OVN >= 2.13.0-21 for rhbz#1819785 and rhbz#1827403 2020-08-12 18:16:28 UTC
Github openshift ovn-kubernetes pull 164 0 None closed Bug 1830370: lock OVS version to 2.13.0-10 to ensure signed RPMs 2020-08-12 18:16:28 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:34:45 UTC

Comment 7 Dan Williams 2020-05-14 15:28:06 UTC
Back to ON_QA, mistakenly moved to POST by the PR robot.

Comment 8 Siva Reddy 2020-05-18 13:37:06 UTC
Moving to verify as the version is upgraded

oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-05-14-234853   True        False         155m    Cluster version is 4.4.0-0.nightly-2020-05-14-234853

oc rsh -n openshift-ovn-kubernetes ovnkube-master-dfsm6 
Defaulting container name to northd.
Use 'oc describe pod/ovnkube-master-dfsm6 -n openshift-ovn-kubernetes' to see all of the containers in this pod.
sh-4.2# rpm -qa | grep ovn
ovn2.13-2.13.0-30.el7fdp.x86_64
ovn2.13-central-2.13.0-30.el7fdp.x86_64
ovn2.13-vtep-2.13.0-30.el7fdp.x86_64
ovn2.13-host-2.13.0-30.el7fdp.x86_64

Comment 9 errata-xmlrpc 2020-07-13 17:34:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.